#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QGraphicsRectItem>

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_actionQuit_triggered()
{
    close ();
}

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    QGraphicsScene * scene = new QGraphicsScene;
    ui->graphicsView->setScene (scene);
}

void MainWindow::on_actionRun_triggered()
{
    QGraphicsScene * scene = ui->graphicsView->scene ();

    /*
    scene->addLine (100, 100, 400, 200);

    scene->addRect (200, 100, 100, 80,
                    QColor ("red"), QColor ("orange"));

    scene->addEllipse (100, 200, 100, 80,
                      QColor ("blue"), QColor ("yellow"));
    */

    // #include <QGraphicsRectItem>
    QGraphicsRectItem * r = new QGraphicsRectItem;
    r->setRect (240, 200, 100, 80);
    r->setPen (QPen (QColor ("red"), 3));
    r->setBrush (QColor ("cornflowerblue"));
    r->setFlags (QGraphicsItem::ItemIsMovable);
    scene->addItem (r);

    for (int i = 1; i <= 2; i++)
    {
        QGraphicsEllipseItem * e =
                new QGraphicsEllipseItem;
        e->setParentItem (r);
        e->setRect (240+20+(i-1)*40, 220, 20, 20);
        e->setPen (QColor ("blue"));
        e->setBrush (QColor ("yellow"));
    }
}











