#include "mybutton.h"
#include "ui_mybutton.h"
#include <QMouseEvent>
#include <QDrag>
#include <QMimeData>

MyButton::MyButton(QWidget *parent) :
    QToolButton(parent),
    ui(new Ui::MyButton)
{
    ui->setupUi(this);
}

MyButton::~MyButton()
{
    delete ui;
}

// #include <QMouseEvent>
void MyButton::mousePressEvent (QMouseEvent * event)
{
   if (event->button() == Qt::LeftButton)
   {
       setText ("Right");

       QDrag * drag = new QDrag (this);
       QMimeData * data = new QMimeData;
       data->setText ("Hello");
       drag->setMimeData (data);
       drag->exec ();
   }
}
